- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# xfs_quota – Manage quotas on XFS filesystems

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Configure quotas on XFS filesystems.

- Before using this module /etc/projects and /etc/projid need to be configured.

## Requirements

The below requirements are needed on the host that executes this module.

- xfsprogs

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
bhard string |  | Hard blocks quota limit. This argument supports human readable sizes.
bsoft string |  | Soft blocks quota limit. This argument supports human readable sizes.
ihard integer |  | Hard inodes quota limit.
isoft integer |  | Soft inodes quota limit.
mountpoint string / required |  | The mount point on which to apply the quotas.
name string |  | The name of the user, group or project to apply the quota to, if other than default.
rtbhard string |  | Hard realtime blocks quota limit. This argument supports human readable sizes.
rtbsoft string |  | Soft realtime blocks quota limit. This argument supports human readable sizes.
state string | Choices: present ← absent | Whether to apply the limits or remove them. When removing limit, they are set to 0, and not quite removed.
type string / required | Choices: user group project | The XFS quota type.

## Examples

    - name: Set default project soft and hard limit on /opt of 1g
      xfs_quota:
        type: project
        mountpoint: /opt
        bsoft: 1g
        bhard: 1g
        state: present

    - name: Remove the default limits on /opt
      xfs_quota:
        type: project
        mountpoint: /opt
        state: absent

    - name: Set default soft user inode limits on /home of 1024 inodes and hard of 2048
      xfs_quota:
        type: user
        mountpoint: /home
        isoft: 1024
        ihard: 2048

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
bhard integer | always | the current bhard setting in bytes Sample: 1024
bsoft integer | always | the current bsoft setting in bytes Sample: 1024
ihard integer | always | the current ihard setting in bytes Sample: 100
isoft integer | always | the current isoft setting in bytes Sample: 100
rtbhard integer | always | the current rtbhard setting in bytes Sample: 1024
rtbsoft integer | always | the current rtbsoft setting in bytes Sample: 1024

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- William Leemans (@bushvin)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.